sqlite RPM for sles-9-x86_64

Here’s the deal. Hula is starting to depend on mono, but when you try to install mono-complete, you may get a dependency error on libsqlite.so.0. I could not find an RPM that provides libsqlite.so.0 – only libsqlite3.so.0. In order to get the mono RPMs to install cleanly, I ended up building my own RPM for sqlite-3.2.7, which creates a symlink fro libsqlite.so.0 to libsqlite3.so.0, and has the appropriate “Provides” in the RPM. If you want it, it’s here.

Share

0 Responses to “sqlite RPM for sles-9-x86_64”


Comments are currently closed.